summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryanpcmcquen@gmail.com>2014-08-15 14:34:52 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-15 23:21:32 +0700
commit7d70c24df8a62504e9928974a65a7612f15b8753 (patch)
tree1b7fcce8eef4b95f8329e557b8dd069b75385761 /multimedia
parent7c8a519670eb487b6c946089c3c5a6a876555d00 (diff)
downloadslackbuilds-7d70c24df8a62504e9928974a65a7612f15b8753.tar.gz
slackbuilds-7d70c24df8a62504e9928974a65a7612f15b8753.tar.xz
multimedia/spotify32: Added (digital music service, 32-bit edition).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/spotify32/README8
-rw-r--r--multimedia/spotify32/doinst.sh3
-rw-r--r--multimedia/spotify32/slack-desc19
-rw-r--r--multimedia/spotify32/spotify.desktop11
-rw-r--r--multimedia/spotify32/spotify32.SlackBuild78
-rw-r--r--multimedia/spotify32/spotify32.info10
6 files changed, 129 insertions, 0 deletions
diff --git a/multimedia/spotify32/README b/multimedia/spotify32/README
new file mode 100644
index 0000000000..100d96383e
--- /dev/null
+++ b/multimedia/spotify32/README
@@ -0,0 +1,8 @@
+Spotify is a social music player.
+
+Note: It will not work on CPU's that do not support SSE2. If you have a CPU
+that only supports SSE, I recomend you to try the OpenSource libspotify
+client.
+
+For the 64-bit client see:
+http://slackbuilds.org/repository/14.1/multimedia/spotify64/
diff --git a/multimedia/spotify32/doinst.sh b/multimedia/spotify32/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/multimedia/spotify32/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/spotify32/slack-desc b/multimedia/spotify32/slack-desc
new file mode 100644
index 0000000000..6d0693bb7b
--- /dev/null
+++ b/multimedia/spotify32/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+spotify32: spotify32 (digital music service)
+spotify32:
+spotify32: Spotify is a digital music service that gives you
+spotify32: access to millions of songs.
+spotify32:
+spotify32: http://www.spotify.com
+spotify32:
+spotify32:
+spotify32:
+spotify32:
+spotify32:
diff --git a/multimedia/spotify32/spotify.desktop b/multimedia/spotify32/spotify.desktop
new file mode 100644
index 0000000000..8b5510169b
--- /dev/null
+++ b/multimedia/spotify32/spotify.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Name=Spotify
+GenericName=Music Player
+Comment=Listen to music using Spotify
+Icon=/opt/spotify/spotify-client/Icons/spotify-linux-128.png
+Exec=spotify %U
+TryExec=spotify
+Terminal=false
+Type=Application
+Categories=Qt;Audio;Player;AudioVideo;
+MimeType=x-scheme-handler/spotify;
diff --git a/multimedia/spotify32/spotify32.SlackBuild b/multimedia/spotify32/spotify32.SlackBuild
new file mode 100644
index 0000000000..0d6b55f7ea
--- /dev/null
+++ b/multimedia/spotify32/spotify32.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for spotify32
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=spotify32
+SRCNAM=spotify
+VERSION=${VERSION:-0.9.4.183.g644e24e.428}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "$(uname -m)" in
+ i?86) DEBARCH="i386" ; LIBDIRSUFFIX="" ; ARCH=i386 ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$SRCNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar -p $CWD/${SRCNAM}-client_${VERSION}-1_${DEBARCH}.deb data.tar.gz | tar zxv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Symlinks to fix lib naming issue.
+ln -sf /usr/lib${LIBDIRSUFFIX}/libnspr4.so $PKG/opt/spotify/spotify-client/libnspr4.so.0d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libnss3.so $PKG/opt/spotify/spotify-client/libnss3.so.1d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libnssutil3.so $PKG/opt/spotify/spotify-client/libnssutil3.so.1d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libplc4.so $PKG/opt/spotify/spotify-client/libplc4.so.0d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libplds4.so $PKG/opt/spotify/spotify-client/libplds4.so.0d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libsmime3.so $PKG/opt/spotify/spotify-client/libsmime3.so.1d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libssl3.so $PKG/opt/spotify/spotify-client/libssl3.so.1d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libssl.so.10 $PKG/opt/spotify/spotify-client/libssl.so.0.9.8
+ln -sf /usr/lib${LIBDIRSUFFIX}/libcrypto.so.10 $PKG/opt/spotify/spotify-client/libcrypto.so.0.9.8
+
+rm $PKG/opt/spotify/spotify-client/spotify.desktop
+mkdir -p $PKG/usr/share/applications/
+cat $CWD/spotify.desktop > $PKG/usr/share/applications/spotify.desktop
+
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/$SRCNAM-client $PKG/usr/doc/$SRCNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$SRCNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/spotify32/spotify32.info b/multimedia/spotify32/spotify32.info
new file mode 100644
index 0000000000..03dcc61f25
--- /dev/null
+++ b/multimedia/spotify32/spotify32.info
@@ -0,0 +1,10 @@
+PRGNAM="spotify32"
+VERSION="0.9.4.183.g644e24e.428"
+HOMEPAGE="http://www.spotify.com"
+DOWNLOAD="http://repository.spotify.com/pool/non-free/s/spotify/spotify-client_0.9.4.183.g644e24e.428-1_i386.deb"
+MD5SUM="20113ac3d6760ded6940fef8143fa9a3"
+DOWNLOAD_x86_64="UNTESTED"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"